Bug 138351 - Firefox crashes when loading any java_vm
Firefox crashes when loading any java_vm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 10:05 EST by Adam Stokes
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-16 05:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (59.32 KB, text/plain)
2004-11-08 10:07 EST, Adam Stokes
no flags Details

  None (edit)
Description Adam Stokes 2004-11-08 10:05:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041104 Firefox/1.0RC1

Description of problem:
When loading any java applet firefox closes immediately. I am running
the following

Fedora Core release Rawhide (Rawhide)
firefox-0.99-1.0RC1.3
Java(TM) Plug-in 1.4.2_05-b04

    File name: libjavaplugin_oji.so
    Java(TM) Plug-in 1.4.2_05

This is how I have the java plugin linked 

libjavaplugin_oji.so ->
/usr/java/j2re1.4.2_02/plugin/i386/ns610-gcc32/libjavaplugin_oji.so

I do have an strace to attach to this ticket as well

Version-Release number of selected component (if applicable):
firefox-0.99-1.0RC1.3

How reproducible:
Always

Steps to Reproduce:
1. Load firefox
2. Run any java application
3. See the wonders
    

Actual Results:  Firefox closes instantly.

Expected Results:  Java applications to load properly

Additional info:
Comment 1 Adam Stokes 2004-11-08 10:07:39 EST
Created attachment 106284 [details]
strace

strace of firefox when trying to access a java application
Comment 2 Matthew Davis 2004-11-09 09:05:35 EST
Confirmed w/1.0 release.  Same error.
Comment 3 Sammy 2004-11-09 09:55:25 EST
I have the same setup but I can test java applets and they all work fine! 
I compiled the firefox 1.0 myself, I have the same java as you do, and 
I do not have any java stuff from Rawhide. Do you think you have installed 
some java compilers other than j2sdk142_05? Perhaps plugin is in conflict 
with gcc based java binaries. 
Comment 4 Adam Stokes 2004-11-09 09:59:49 EST
Let me confirm the java version 1.4.2_02

When running 1.4.2_05 it works fine.
Comment 5 Sammy 2004-11-09 15:45:58 EST
I don't understand why you have jre 1.4.2_02 and plugins 1.4.2_05.
These should be the same revision.

where is you java binaries? Are they in the system path or is it
picked up from the path to plugins?

Note You need to log in before you can comment on or make changes to this bug.